clear
global field
field = imread('pic1.bmp');
global xsize;
global ysize;
xsize = size(field,1);
ysize = size(field,2);


[X Y] = meshgrid(1:1:100);
X = reshape(X,[size(X,1)*size(X,2) 1]);
Y = reshape(Y,[size(Y,1)*size(Y,2) 1]);

for i = 1:length(X(:))
    m(i,:) = measure(X(i),Y(i),0);
end

X = reshape(X,[100 100]);
Y = reshape(Y,[100 100]);

cpm = measure(10,10,0);

for i = 1:10000
    d(i) = gdist(cpm,m(i,:));
end

d = reshape(d,[100 100]);

imagesc(d')