function samples = sampling3(w,n)
    if numel(w)~=length(w)
        error(['Vector expected, size of w is ' num2str(size(w))]);
    end
    w = w/(sum(w));
    cumsum = 0;
    set = zeros(length(w),1);
    for i = 1:length(w) 
        cumsum = cumsum + w(i);
        set(i) = cumsum;
    end
    samples = zeros(n,1);
    for i = 1:n
        temp = set - rand;
        samples(i) = sum(temp<0)+1;
    end